org.jboss.resteasy.spi.metadata

## Class ResourceLocator

- java.lang.Object
- - org.jboss.resteasy.spi.metadata.ResourceLocator

- Direct Known Subclasses:
    ResourceMethod

      public class ResourceLocator
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Method` | `annotatedMethod`
    `protected String` | `fullpath`
    `protected Type` | `genericReturnType`
    `protected Method` | `method`
    `protected MethodParameter[]` | `params`
    `protected String` | `path`
    `protected ResourceClass` | `resourceClass`
    `protected Class<?>` | `returnType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceLocator(ResourceClass resourceClass, Method method, Method annotatedMethod)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Method` | `getAnnotatedMethod()`
    `String` | `getFullpath()`
    `Type` | `getGenericReturnType()`
    `Method` | `getMethod()`
    `MethodParameter[]` | `getParams()`
    `String` | `getPath()`
    `ResourceClass` | `getResourceClass()`
    `Class<?>` | `getReturnType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resourceClass

          protected ResourceClass resourceClass

    - #### returnType

          protected Class<?> returnType

    - #### genericReturnType

          protected Type genericReturnType

    - #### method

          protected Method method

    - #### annotatedMethod

          protected Method annotatedMethod

    - #### params

          protected MethodParameter[] params

    - #### fullpath

          protected String fullpath

    - #### path

          protected String path

  - ### Constructor Detail

    - #### ResourceLocator

          public ResourceLocator(ResourceClass resourceClass,
                         Method method,
                         Method annotatedMethod)

  - ### Method Detail

    - #### getResourceClass

          public ResourceClass getResourceClass()

    - #### getReturnType

          public Class<?> getReturnType()

    - #### getGenericReturnType

          public Type getGenericReturnType()

    - #### getMethod

          public Method getMethod()

    - #### getAnnotatedMethod

          public Method getAnnotatedMethod()

    - #### getParams

          public MethodParameter[] getParams()

    - #### getFullpath

          public String getFullpath()

    - #### getPath

          public String getPath()

Copyright © 2014. All Rights Reserved.